> ## Documentation Index
> Fetch the complete documentation index at: https://docs.procuros.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Mark Transactions Processed

> Mark a list of incoming transactions as processed.



## OpenAPI

````yaml /en/api/v2/openapi-v2.yaml post /v2/transactions/bulk/mark-processed
openapi: 3.0.3
info:
  title: Procuros API
  description: Manage Procuros Transactions.
  version: 2.0.0
servers:
  - url: https://api.procuros.io/
  - url: https://api.procuros-staging.io/
security:
  - api_token: []
paths:
  /v2/transactions/bulk/mark-processed:
    post:
      tags:
        - Incoming Transactions
      summary: Bulk Mark Transactions Processed
      description: Mark a list of incoming transactions as processed.
      operationId: v2_bulk_mark_transactions_processed
      requestBody:
        description: Expected parameters to mark transactions as processed.
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - items
              properties:
                items:
                  type: array
                  minItems: 1
                  maxItems: 1000
                  items:
                    type: object
                    required:
                      - procurosTransactionId
                      - success
                    properties:
                      procurosTransactionId:
                        $ref: '#/components/schemas/ProcurosTransactionId'
                      success:
                        type: boolean
                        description: >-
                          Whether or not your system was able to process the
                          given transaction.
                      errorReason:
                        type: string
                        description: >-
                          Reason your system was not able to process the given
                          transaction.
                      errorType:
                        $ref: '#/components/schemas/ErrorType'
                      errorContext:
                        type: object
                        description: Additional context/meta data for the error.
                        additionalProperties:
                          type: string
            examples:
              Example:
                value:
                  - procurosTransactionId: 949b2ef2-3f40-465e-a7ee-ea3f9f189860
                    success: true
                  - procurosTransactionId: 949b2f25-fd9d-4c58-8899-b4dc277f8cf9
                    success: false
                    errorReason: Product GTIN '0001647296281' not found
                    errorType: DATA
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    minItems: 1
                    items:
                      type: object
                      required:
                        - procurosTransactionId
                        - message
                      properties:
                        procurosTransactionId:
                          $ref: '#/components/schemas/ProcurosTransactionId'
                        message:
                          type: string
                          description: Status message
                        errorUrl:
                          type: string
              examples:
                Processed:
                  value:
                    data:
                      - procurosTransactionId: 949b2ef2-3f40-465e-a7ee-ea3f9f189860
                        message: OK.
                      - procurosTransactionId: 949b2f25-fd9d-4c58-8899-b4dc277f8cf9
                        message: OK.
                        errorUrl: >-
                          https://portal.procuros.io/transactions/{{procurosTransactionId}}/errors
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralValidationErrorResponse'
        4XX:
          description: Client Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalErrorResponse'
        5XX:
          description: Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalErrorResponse'
components:
  schemas:
    ProcurosTransactionId:
      type: string
      description: Unique ID assigned to every transaction on the Procuros Network.
      format: uuid
      example: 949b2f25-fd9d-4c58-8899-b4dc277f8cf9
    ErrorType:
      type: string
      description: >-
        The type of the error. `DATA` indicates that the error is caused by
        invalid or insufficient data and can be resolved by a user. `INTERNAL`
        indicates a system-level error that cannot be fixed by a user.
      enum:
        - DATA
        - INTERNAL
    GeneralValidationErrorResponse:
      type: object
      required:
        - message
        - errors
      properties:
        message:
          type: string
        errors:
          $ref: '#/components/schemas/ValidationError'
    InternalErrorResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
    ValidationError:
      type: object
      additionalProperties:
        type: array
        description: List of validation errors.
        minItems: 1
        items:
          type: string
  securitySchemes:
    api_token:
      type: http
      scheme: bearer
      description: The API Token of your ERP Connection.

````